--- unix/emacs/mozc.el.orig	2013-03-29 13:33:43.000000000 +0900
+++ unix/emacs/mozc.el	2013-05-05 13:22:11.000000000 +0900
@@ -1758,11 +1758,15 @@
 (defun mozc-leim-activate (input-method)
   "Activate mozc-mode via LEIM.
 INPUT-METHOD is not used."
-  (setq inactivate-current-input-method-function 'mozc-leim-inactivate)
+  (set
+    (if (boundp 'deactivate-current-input-method-function)
+        'deactivate-current-input-method-function
+      'inactivate-current-input-method-function)
+     'mozc-leim-deactivate)
   (mozc-mode t))
 
-(defun mozc-leim-inactivate ()
-  "Inactivate mozc-mode via LEIM."
+(defun mozc-leim-deactivate ()
+  "Deactivate mozc-mode via LEIM."
   (mozc-mode nil))
 
 (defcustom mozc-leim-title "[Mozc]"
